use 教学成绩管理数据库
go
create trigger T修改学院信息表编号
on 学院信息表
after update
as
if update(编号)
begin
  set nocount off
  declare @编号 char(2), @编号_ char(2)
  select @编号=编号 from deleted
  select @编号_=编号 from inserted
  update 系部信息表 set 编号=@编号_+substring(编号,3,2) 
      where @编号=left(编号,2)
  update 专业信息表 set 院系编号=@编号_+substring(院系编号,3,2) 
      where @编号=left(院系编号,2)
  update 课程信息表 set 院系编号=@编号_+substring(院系编号,3,2) 
      where @编号=left(院系编号,2)
  update 教研室信息表 set 编号=@编号_+substring(编号,3,4) 
      where @编号=left(编号,2)
  update 教师信息表 set 教研室编号=@编号_+substring(编号,3,4) 
      where @编号=left(教研室编号,2)
end 
